<app-header></app-header>
<div class="card">
  <h5>Lazy Loading</h5>
  <p-virtualScroller [value]="product" scrollHeight="450px" [itemSize]="100" [rows]="100"
                     [lazy]="true" (onLazyLoad)="loadCarsLazy($event)">
    <ng-template pTemplate="header">
      List of Products
    </ng-template>
    <ng-template let-product pTemplate="item" let-i="index">
      <div class="product-item">
        <div class="image-container">
          <img height="100" src="{{product.image}}" [alt]="product.name" class="product-image" />
        </div>
        <div class="product-list-detail">
          <h5 class="p-mb-2">{{product.name}}</h5>
        </div>
        <div class="product-list-action">
          <h6 class="p-mb-2">${{product.price}}</h6>
          <span [class]="'product-badge status-' + product.inventoryStatus.toLowerCase()">{{product.inventoryStatus}}</span>
        </div>
      </div>
    </ng-template>
    <ng-template let-product pTemplate="loadingItem">
      <div class="product-item loading-item">
        <div class="image-container"></div>
        <div class="product-list-detail">
          <h5 class="p-mb-2"></h5>
          <i class="product-category-icon"></i>
          <span class="product-category"></span>
        </div>
        <div class="product-list-action">
          <h6 class="p-mb-2"></h6>
          <span class="product-badge"></span>
        </div>
      </div>
    </ng-template>
  </p-virtualScroller>
</div>
